<?php

	require 'auxiliares/funcoes-upload.php';

	if($_FILES['arquivo']['size'] > 0){
		$numero = rand(1,99999999);
		$arquivo = $_FILES['arquivo']['tmp_name'];
    $nomearquivo = $_FILES['arquivo']['name'];
    $nomearquivo= $numero.tratar_arquivo_upload($nomearquivo);

     $querySelectNumArquivos = "	SELECT 
				 				  COUNT(tools.`id`) 
				 				FROM
				 				  ferramentas AS tools
				 				WHERE SUBSTR(tools.`arquivo`, 1, LENGTH('".$nomearquivo."')) = '".$nomearquivo."'";

			$selectNumArquivos = mysql_query($querySelectNumArquivos);

	 if(mysql_num_rows($selectNumArquivos) > 0) 
	 	{ 
	 		$nomearquivo."-".mysql_result($selectNumArquivos, 0, 0);
	 	}

    $novo_caminho = "arquivos/ferramentas/$nomearquivo";

    copy($arquivo, $novo_caminho);

		$insertQuery = "INSERT INTO ferramentas (titulo,arquivo,descricao) VALUES ('".mysql_escape_string(utf8_decode($_POST['titulo']))."','".mysql_escape_string($nomearquivo)."', '".mysql_escape_string(utf8_decode($_POST['descricao']))."')";

	} else {

		$insertQuery = "INSERT INTO ferramentas (titulo,descricao) VALUES ('".mysql_escape_string(utf8_decode($_POST['titulo']))."', '".mysql_escape_string(utf8_decode($_POST['descricao']))."')";
	}

	$insertMarca = mysql_query($insertQuery);

	if($insertMarca){ ?>
		<table>
			<tr>
				<td>
					Ferramenta cadastrada com Sucesso!
					<meta http-equiv="refresh" content="2; url=miolo.php?miolo=ferramentas&acao=cadastrar" />
				</td>
			</tr>
		</table>
	<?php }

	if(!$insertMarca){
		?>
		<table>
			<tr>
				<td>
					Houve um erro ao cadastrar a ferramenta.
					<meta http-equiv="refresh" content="2; url=miolo.php?miolo=ferramentas&acao=cadastrar" />
				</td>
			</tr>
		</table>
	<?php } ?>